pbori_order.h File Reference
`#include <polybori/pbori_defs.h>`
`#include "COrderingBase.h"`
`#include <polybori/LexOrder.h>`
`#include <polybori/DegLexOrder.h>`
`#include <polybori/DegRevLexAscOrder.h>`
`#include <polybori/BlockDegLexOrder.h>`
`#include <polybori/BlockDegRevLexAscOrder.h>`

Go to the source code of this file.

## Classes

class | polybori::lex_compare_predicate< LhsType, RhsType, BinaryPredicate >
| defines lexicographic comparison functor More...

## Namespaces

| polybori

## Functions

boost::shared_ptr< COrderingBase > | polybori::get_ordering (CTypes::ordercode_type order)

## Detailed Description

Author
  Alexander Dreyer

Date
  2006-05-23

Copyright:
  (c) 2006 by The PolyBoRi Team